Turn on warnings for usage of disabled V8 APIs
authorJochen Eisinger <jochen@chromium.org>
Wed, 20 May 2015 08:07:00 +0000 (10:07 +0200)
committerJochen Eisinger <jochen@chromium.org>
Wed, 20 May 2015 08:07:00 +0000 (10:07 +0200)
R=vogelheim@chromium.org
BUG=

Review URL: https://codereview.chromium.org/1146933002

BUILD.gn
build/standalone.gypi

index 00774dd..4074c75 100644 (file)
--- a/BUILD.gn
+++ b/BUILD.gn
@@ -19,6 +19,7 @@ config("pdfium_config") {
     "_FPDFSDK_LIB",
     "_NO_GDIPLUS_",  # workaround text rendering issues on Windows
     "OPJ_STATIC",
+    "V8_DEPRECATION_WARNINGS",
   ]
 
   if (pdf_use_skia) {
index 186db6e..c0eaef4 100644 (file)
     'ldflags': [
       '-pthread',
     ],
+    'defines': [
+      # Don't use deprecated V8 APIs anywhere.
+      'V8_DEPRECATION_WARNINGS',
+    ],
     'msvs_cygwin_dirs': ['<(DEPTH)/v8/third_party/cygwin'],
     'msvs_configuration_attributes': {
       'OutputDirectory': '<(DEPTH)\\build\\$(ConfigurationName)',
     # See comment in Chromium's common.gypi for why this is needed.
     'SYMROOT': '<(DEPTH)/xcodebuild',
   }
-}
\ No newline at end of file
+}